commit:     3d4394c7834f828f8a9fa709e6b4061e7c05e98b
Author:     Alexander Kurakin <kuraga333 <AT> mail <DOT> ru>
AuthorDate: Mon Jan  2 22:01:46 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Jan  3 14:36:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d4394c7

app-dicts/myspell-en: bump to 20230101

Also:
* increased copyright year,
* addressed bug #795174 (thanks to Viorel Munteanu),
* applied github-28926.

Closes: https://bugs.gentoo.org/889416
Bug: https://bugs.gentoo.org/795174
Signed-off-by: Alexander Kurakin <kuraga333 <AT> mail.ru>
Closes: https://github.com/gentoo/gentoo/pull/28944
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-dicts/myspell-en/Manifest                   |  1 +
 app-dicts/myspell-en/myspell-en-20230101.ebuild | 57 +++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-dicts/myspell-en/Manifest b/app-dicts/myspell-en/Manifest
index abf79722c795..fcf9dac1733d 100644
--- a/app-dicts/myspell-en/Manifest
+++ b/app-dicts/myspell-en/Manifest
@@ -1,3 +1,4 @@
 DIST dict-en-20210601.oxt 6104083 BLAKE2B 
192252e85918d3d47167ff9243f70178bc548de3e93152c4139e64ffb013e147fda1fa9c7741ce7bf74b149ec0ab6e001760990cd1ee33dad06fd5e3813ef591
 SHA512 
c9d791a12aa97d6c2a0928f9f500b22492208b415f877d6b5bd192b5da4c243c32b8d0b7af6b3f5cbfefe6b1c695626db204fc29a922dc4b083538ed144cb472
 DIST dict-en-20221001_lo.oxt 6099681 BLAKE2B 
206380ca9da3198cc057a43f71b9bc1bcbf2c2794f4bcff8893b86bacb2201f7709a645e98b131072a92df5dc5a95127807e2f5726d1224fe3fa75e11bd93b50
 SHA512 
d08f66829f3d5f03c1cfcefb4981af016f1f7127fbccfbe76cf40cbcdf70ad4c5d612517fe6beb4d0457e5cdd4e779b5816d9685468e5b3cb0c8058efa064c74
 DIST dict-en-20221101_lo.oxt 6099028 BLAKE2B 
0a8e967670de07a62c2b0d1b39878eea02eae8371eccfeab967ddf1059b9f9866202dddeaebf017c9035153753d8dcafb92eca2868103ec8754396fafe736db4
 SHA512 
51ea769a87b70e22c84101a131d111db2f9c186707a4fac361378965dce11f03ecd1d1c5c6908bc1199e709870e2b38c1c675ab4d0d8393022e522d765a948c1
+DIST dict-en-20230101_lo.oxt 6099782 BLAKE2B 
5103d0bdf9558184deb8d5d3d9ce00d7b597d4bdf4bfa2fefe3caa68d6e0fa68e2f9295d87c7a8315ba244ccbf007c198cad017aee6faf6590914f63c161cf61
 SHA512 
d34948b012245c0ad07819d625cd417a85b9edc13b842ad7d3974ed1428af4d2e02020ff0b89cde64a1b844ca8c2a54a7e77f37076e8cc1b38d6a2473da01d7d

diff --git a/app-dicts/myspell-en/myspell-en-20230101.ebuild 
b/app-dicts/myspell-en/myspell-en-20230101.ebuild
new file mode 100644
index 000000000000..7e4459b94379
--- /dev/null
+++ b/app-dicts/myspell-en/myspell-en-20230101.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit myspell-r2
+
+DESCRIPTION="English dictionaries for myspell/hunspell"
+HOMEPAGE="
+       https://extensions.libreoffice.org/extensions/english-dictionaries
+       https://proofingtoolgui.org
+       https://github.com/marcoagpinto/aoo-mozilla-en-dict
+"
+SRC_URI="https://extensions.libreoffice.org/assets/downloads/41/1672590731/dict-en-20230101_lo.oxt";
+
+LICENSE="BSD MIT LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~x86-solaris"
+
+PLOCALES=( "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
+IUSE+="+l10n_en ${PLOCALES[@]/#/l10n_}"
+REQUIRED_USE="|| ( l10n_en ${PLOCALES[@]/#/l10n_} )"
+
+src_prepare() {
+       if use l10n_en-GB || use l10n_en; then
+               MYSPELL_HYPH+=( "hyph_en_GB.dic" )
+       fi
+       if use l10n_en-US || use l10n_en; then
+               MYSPELL_THES+=(
+                       "th_en_US_v2.dat"
+                       "th_en_US_v2.idx"
+               )
+               MYSPELL_HYPH+=( "hyph_en_US.dic" )
+       fi
+
+       MYSPELL_DICT=( )
+       for lang in "${PLOCALES[@]}"; do
+               if [[ "${lang}" == "en" ]]; then
+                       continue
+               fi
+               local mylinguas="${lang//-/_}"
+               if use "l10n_${lang}" || use l10n_en; then
+                       MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
+               else
+                       rm "README_${mylinguas}.txt" || die
+                       if [[ ${lang} == "en-US" ]]; then
+                               rm "README_hyph_en_US.txt" || die
+                       fi
+                       if [[ ${lang} == "en-GB" ]]; then
+                               rm "README_hyph_en_GB.txt" || die
+                               rm "README_en_GB_thes.txt" || die
+                       fi
+               fi
+       done
+
+       default
+}

Reply via email to